MEMCHR(3)

NAME
memchr - scan memory for a character

SYNOPSIS
#include <string.h>

void *memchr(const void *s, int c, size_t n);

DESCRIPTION
The memchr() function scans the first n bytes of the memory area pointed to by s for the character c. The first byte to match c (interpreted as an unsigned character) stops the operation.

RETURN VALUE
The memchr() function returns a pointer to the matching byte or NULL if the character does not occur in the given memory area.

CONFORMING TO
SVID 3, BSD 4.3, ISO 9899

SEE ALSO
index(3), rindex(3), strchr(3), strpbrk(3), strrchr(3), strsep(3), strspn(3), strstr(3)